## dgit 9.5~bpo10+1

=== debian/changelog ===
dgit (9.5~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2019 07:20:44 +0100

dgit (9.5) unstable; urgency=medium

  git-debpush [Sean Whitton]:
  * Support ignoring individual checks with --force=check.  Closes:#932459.
  * Check upstream source is identical in the upstream tag.
  * Check that patches are (un)applicable.  Closes:#932477.
  * Check for an unstitched git-debrebase branch.  Closes:#932612.
  * Check for explicitly pushing detached HEAD.

  dgit clone [Ian Jackson]:
  * No longer create an "origin" remote.  Closes:#932694.

  Documentation:
  * dgit-maint-bpo(7): new manpage for maintainers of official Debian
    backports.  Closes:#857490.  [Sean Whitton]
  * git-debrebase(1): make this manpage a less intimidating entry point.
    Closes:#926656.
    [Sean Whitton & Ian Jackson; prompted by feedback from Sam Hartman]

  Miscellaneous:
  * Correct the description of --force in git-debpush(1) [Sean Whitton].
  * git-debrebase(*): fix some crossreferences [Sean Whitton].
    Closes:#932536.
  * Break out git-playtree-setup and rewrite in shell. [Ian Jackson]
  * Fix organisation copyright attribution for Matthew Vernon's
    contributions.  Closes:#932630.
  * HACKING: new document for helping people work on the code. [Ian Jackson]
  * Update Vcs-Git etc. to point to salsa.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Jul 2019 21:38:19 +0100

dgit (9.4) unstable; urgency=medium

  dgit:
  * Support the Ubuntu Cloud Archive [Matthew Vernon]. Closes:#932322.

  test suite:
  * tag-to-upload tests: Tolerate a changed git message.  Closes:#932475.

  administrivia:
  * debian/copyright: Add some missing credtis
  * Update copyright notices in many files

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 20 Jul 2019 16:26:32 +0100

dgit (9.3) unstable; urgency=medium

  dgit and git-debrebase bugfixes:
  * No longer crash if .git/logs does not exist when we need it.
  * Report the upstream tag, rather than commit id, in tags/commits,
    if the user explicitly specifies refs/tags/...

  tag-to-upload, git-debpush [Sean Whitton]:
  * Several new checks designed to prevent broken uploads.
    - Including: Check that upstream tag is ancestor of branch to be tagged.
      Closes:#932096
  * Cope with spaces in user-supplied upstream tag.

  tag-to-upload, server side:
  * Fix non-default quilt modes.  These were all previously broken.
  * Arrange to report the upstream tag in dgit-generated commits/tags.

  dgit archive query improvements [Matthew Vernon]:
  * dgit(1): document the presence of the aptget method.  Closes:#932321.

  minor supporting changes:
  * New tests tagupl-baredebian and tagupl-gbp.
  * Tiny addition to debugging output and test suite output.
  * Test suite rearrangements.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 18 Jul 2019 03:10:25 +0100

=== debian/control ===
Source: dgit
Section: devel
Priority: optional
Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
Standards-Version: 3.9.4.0
Build-Depends: debhelper (>= 9), gettext, po4a, tcl
Testsuite: autopkgtest
Vcs-Git: https://salsa.debian.org/dgit-team/dgit
Vcs-Browser: https://salsa.debian.org/dgit-team/dgit

Package: dgit
Depends: perl, libwww-perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
         ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
         liblocale-gettext-perl,
         coreutils (>= 8.23-1~),
         libdigest-sha-perl, dput, curl, apt,
         libjson-perl, ca-certificates,
         libtext-iconv-perl, libtext-glob-perl
Recommends: ssh-client
Suggests: sbuild | pbuilder | cowbuilder
Architecture: all
Description: git interoperability with the Debian archive
 dgit (with the associated infrastructure) makes it possible to
 treat the Debian archive as a git repository.
 .
 dgit push constructs uploads from git commits
 .
 dgit clone and dgit fetch construct git commits from uploads.

Package: git-debrebase
Depends: perl, git-core, libdpkg-perl, libfile-fnmatch-perl, devscripts,
         liblocale-gettext-perl,
         ${misc:Depends}
Recommends: dgit, git-buildpackage
Architecture: all
Description: rebasing git workflow tool for Debian packaging
 git-debrebase is a tool for representing in git, and manipulating,
 Debian packages based on upstream source code.

Package: git-debpush
Depends: devscripts, git, gnupg, ${misc:Depends}
Architecture: all
Description: client script for git pushing to Debian-style archives
 git-debpush is a script to create and push a specially formatted
 signed git tag.  The metadata in the tag indicates that the tagged
 commit should be pushed (or "uploaded") to a Debian-style archive.
 .
 Tags generated by this script can be read by an intermediary service,
 which performs any conversion that's needed (such as producing and
 signing a .dsc and .changes), and then uploads the result to the
 Debian-style archive on your behalf.

Package: dgit-infrastructure
Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
         libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
         libwww-perl, libdpkg-perl,
         liblocale-gettext-perl
Recommends: dgit
Architecture: all
Priority: extra
Description: dgit server backend infrastructure
 This package contains tools which are useful for setting up a dgit
 git repository server.  You probably want dgit, the client package,
 instead of dgit-infrastructure.

## dgit 9.6~bpo10+1

=== Makefile ===
# dgit
# Integration between git and Debian-style archives
#
# Copyright (C)2013-2018 Ian Jackson
# Copyright (C)2019      Sean Whitton
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

INSTALL=install
INSTALL_DIR=$(INSTALL) -d
INSTALL_PROGRAM=$(INSTALL) -m 755
INSTALL_DATA=$(INSTALL) -m 644

prefix?=/usr/local

bindir=$(prefix)/bin
mandir=$(prefix)/share/man
perldir=$(prefix)/share/perl5
man1dir=$(mandir)/man1
man5dir=$(mandir)/man5
man7dir=$(mandir)/man7
infraexamplesdir=$(prefix)/share/doc/dgit-infrastructure/examples
txtdocdir=$(prefix)/share/doc/dgit
absurddir=$(prefix)/share/dgit/absurd

PROGRAMS=dgit dgit-badcommit-fixup git-playtree-setup
MAN1PAGES=dgit.1

MAN7PAGES=dgit.7				\
	dgit-user.7 dgit-nmu-simple.7		\
	dgit-maint-native.7			\
	dgit-maint-merge.7 dgit-maint-gbp.7	\
	dgit-maint-debrebase.7                  \
	dgit-downstream-dsc.7			\
	dgit-sponsorship.7			\
	dgit-maint-bpo.7

TXTDOCS=README.dsc-import
PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm
ABSURDITIES=git

GDR_PROGRAMS=git-debrebase
GDR_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/GDR.pm \
	Debian/Dgit/ExitStatus.pm \
	Debian/Dgit/I18n.pm
GDR_MAN1PAGES=git-debrebase.1
GDR_MAN5PAGES=git-debrebase.5

GDP_PROGRAMS=git-debpush
GDP_MAN1PAGES=git-debpush.1

INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch \
	dgit-repos-policy-debian dgit-repos-admin-debian \
	dgit-repos-policy-trusting dgit-mirror-rsync
INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites
INFRA_PERLMODULES= \
	Debian/Dgit.pm \
	Debian/Dgit/Infra.pm \
	Debian/Dgit/Policy/Debian.pm

MANPAGES=$(MAN1PAGES) $(MAN5PAGES) $(MAN7PAGES) \
	$(GDR_MAN1PAGES) $(GDR_MAN5PAGES) \
	$(GDP_MAN1PAGES)

all:	$(MANPAGES) $(addprefix substituted/,$(PROGRAMS))

substituted/%:	%
	mkdir -p substituted
	perl -pe 's{\bundef\b}{'\''$(absurddir)'\''} if m/###substituted###/' \
		<$< >$@

install:	installdirs all
	$(INSTALL_PROGRAM) $(addprefix substituted/,$(PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix absurd/,$(ABSURDITIES)) \
		$(DESTDIR)$(absurddir)
	$(INSTALL_DATA) $(MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(MAN7PAGES) $(DESTDIR)$(man7dir)
	$(INSTALL_DATA) $(TXTDOCS) $(DESTDIR)$(txtdocdir)
	set -e; for m in $(PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(DESTDIR)$(man7dir) \
		$(DESTDIR)$(txtdocdir) $(DESTDIR)$(absurddir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(PERLMODULES)))

install-gdp:    installdirs-gdp
	$(INSTALL_PROGRAM) $(GDP_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDP_MAN1PAGES) $(DESTDIR)$(man1dir)

install-gdr:	installdirs-gdr
	$(INSTALL_PROGRAM) $(GDR_PROGRAMS) $(DESTDIR)$(bindir)
	$(INSTALL_DATA) $(GDR_MAN1PAGES) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) $(GDR_MAN5PAGES) $(DESTDIR)$(man5dir)
	set -e; for m in $(GDR_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

install-infra:	installdirs-infra
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_PROGRAMS)) \
		$(DESTDIR)$(bindir)
	$(INSTALL_PROGRAM) $(addprefix infra/, $(INFRA_EXAMPLES)) \
		$(DESTDIR)$(infraexamplesdir)
	set -e; for m in $(INFRA_PERLMODULES); do \
		$(INSTALL_DATA) $$m $(DESTDIR)$(perldir)/$${m%/*}; \
	done

installdirs-gdp:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)

installdirs-gdr:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) \
		$(DESTDIR)$(man1dir) $(DESTDIR)$(man5dir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(GDR_PERLMODULES)))

installdirs-infra:
	$(INSTALL_DIR) $(DESTDIR)$(bindir) $(DESTDIR)$(infraexamplesdir) \
		$(addprefix $(DESTDIR)$(perldir)/, $(dir $(INFRA_PERLMODULES)))

list-manpages:
	@echo $(MANPAGES)

i18n i18n-update:
	$(MAKE) -C po update
	$(MAKE) -C po4a update

i18n-commit:
	set -e; x=$$(git status --porcelain); set -x; test "x$$x" = x
	$(MAKE) i18n-update
	git commit -a -m 'i18n-commit - autogenerated'

check installcheck:

clean distclean mostlyclean maintainer-clean:
	rm -rf tests/tmp substituted
	set -e; for m in $(MANPAGES); do \
		test -e $$m.pod && rm -f $$m; \
	done

dgit%: dgit%.pod
	m=$@; pod2man --section=$${m##*.} --date="Debian Project" \
		--center="dgit" --name=$${m%.*} \
		$^ $@

git-debrebase.%: git-debrebase.%.pod
	pod2man --section=$* --date="Debian Project" --center="git-debrebase" \
		--name=$(subst .$*,,$@) \
		$^ $@

git-debpush.1: git-debpush.1.pod
	pod2man --section=1 --date="Debian Project" --center="git-debpush" \
		--name git-debpush \
		$^ $@

%.view:	%
	man -l $*

=== debian/changelog ===
dgit (9.6~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Jul 2019 07:37:49 +0100

dgit (9.6) unstable; urgency=medium

  * git-playtree-setup had a spurious set -x so many programs spewed
    debugging output.  This is now fixed.  Closes:#932959.

  dgit:
  * Drop support for configuring old, not currently enabled, methods
    of TLS key/cert pinning.  We are going to revisit this soon.
  * Provide a --for-push option (useful in for certain special users).
  * Reduce variety in HTTP clients we use.  Specificalloy, use WWW::Curl
    for accessing (i) the ftpmaster API, (ii) the http dgit git server
    mirror (iii) downloading the .dsc.

  Administrivia:
  * Add missing Closes of #932476 to changelog entry for 9.5

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 25 Jul 2019 13:12:08 +0100

=== debian/tests/control ===
Tests: baredebian-multitar baredebian-plusgit baredebian-push baredebian-tarball
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, quilt, git-debrebase, git-buildpackage, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl

Tests: build-modes-gbp
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, git-buildpackage

Tests: clone-reprepro downstream-gitless
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, reprepro

Tests: dpkgsourceignores-docs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime
Restrictions: x-dgit-intree-only

Tests: defdistro-dsd-clone-drs dsd-clone-drs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime
Restrictions: x-dgit-intree-only x-dgit-git-only

Tests: gdr-merge-conflicts
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, quilt

Tests: gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgit gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, git-debrebase, git-buildpackage

Tests: gitattributes
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, bsdgames, man-db, git-man

Tests: hint-testsuite-triggers
Tests-Directory: tests/tests
Depends: gnupg, patch, diffutils
Restrictions: hint-testsuite-triggers

Tests: gdr-newupstream gdr-viagit i18n-messages
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage

Tests: manpages-format
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, man-db, make, groff, git-debrebase, git-debpush

Tests: defdistro-mirror mirror mirror-debnewgit mirror-private
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, rsync

Tests: build-modes-sbuild quilt-gbp-build-modes-sbuild
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, sbuild
Restrictions: x-dgit-schroot-build

Tests: sbuild-gitish
Tests-Directory: tests/tests

## dgit 9.7

=== debian/changelog ===
dgit (9.7) unstable; urgency=medium

  dgit general bugfixes:
  * Correctly test for presence of git repo on dgit git server.
    Fixes behaviour following mixed dgit/non-dgit uploads.  Closes:#934126.
    (Was badly broken by http fetching rework in dgit 9.6.)
  * Fix use on NFS, by closing a file which is going to be deleted.
    [Report and fix from Stéphane Glondu]  Closes:#933827.

  dgit vcs-git bugfixes:
  * Strip [<path>] (used eg by Debian Haskell Team).  Closes:#932699.
  * update-vcs-git: Cope if url is unchanged.
  * update-vcs-git: Strip -b (as it always should have done).

  Test suite:
  * New facilities for http testing, including mock webservers.
  * New test cases for http, and for bugs fixed in this version.
  * Switch to using http git check in three existing tests.
  * Improve debian/tests/control generator.
  * Limited refactoring to support other changes.

  Other minor changes:
  * dgit: Slightly more debugging for check_for_git with http[s]
  * changelog: Fix a typo in the entry for 9.6.
  * i18n (messages) updated, following message changes.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 11 Aug 2019 01:11:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Vcs-Browser: https://salsa.debian.org/dgit-team/dgit
 
 Package: dgit
-Depends: perl, libwww-perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
+Depends: perl, libdpkg-perl, git-core, devscripts, dpkg-dev,
          ${misc:Depends}, git-buildpackage, liblist-moreutils-perl,
          liblocale-gettext-perl,
          coreutils (>= 8.23-1~),
          libdigest-sha-perl, dput, curl, apt,
          libjson-perl, ca-certificates,
-         libtext-iconv-perl, libtext-glob-perl
+         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl
 Recommends: ssh-client
 Suggests: sbuild | pbuilder | cowbuilder
 Architecture: all
@@ -53,7 +53,7 @@
 Package: dgit-infrastructure
 Depends: ${misc:Depends}, perl, git-core, gpgv, chiark-utils-bin,
          libjson-perl, libdigest-sha-perl, libdbd-sqlite3-perl, sqlite3,
-         libwww-perl, libdpkg-perl,
+         libdpkg-perl,
          liblocale-gettext-perl
 Recommends: dgit
 Architecture: all

=== debian/tests/control ===
--- 
+++ 
@@ -20,11 +20,19 @@
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime
 Restrictions: x-dgit-intree-only x-dgit-git-only
 
+Tests: alternating-dgit clone-gitnosuite clone-nogit drs-clone-nogit dsd-clone-nogit ftpmasterapi-http
+Tests-Directory: tests/tests
+Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, libhttp-server-simple-static-perl
+
+Tests: gdr-import-dgit
+Tests-Directory: tests/tests
+Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, git-debrebase, git-buildpackage, libhttp-server-simple-static-perl
+
 Tests: gdr-merge-conflicts
 Tests-Directory: tests/tests
 Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, quilt
 
-Tests: gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgit gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
+Tests: gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, git-debrebase, git-buildpackage
 
@@ -45,14 +53,3 @@
 Tests-Directory: tests/tests
 Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, man-db, make, groff, git-debrebase, git-debpush
 
-Tests: defdistro-mirror mirror mirror-debnewgit mirror-private
-Tests-Directory: tests/tests
-Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, rsync
-
-Tests: build-modes-sbuild quilt-gbp-build-modes-sbuild
-Tests-Directory: tests/tests
-Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, sbuild
-Restrictions: x-dgit-schroot-build
-
-Tests: sbuild-gitish
-Tests-Directory: tests/tests

## dgit 9.9~bpo10+1

=== debian/changelog ===
dgit (9.9~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 16 Sep 2019 15:31:53 -0700

dgit (9.9) unstable; urgency=medium

  Documentation:
  * dgit-maint-{merge,debrebase}(7): Suggest a better rune.
    (`git fetch --tags upstream')  Closes:#939679.  [Sean Whitton]
  * git-debpush(1) minor improvements.  Closes:#935084.  [Sean Whitton]
  * dgit(1): Fix a typo (found by lintian)
  * dgit-maint-bpo(7): Mention occasional need for --new.  Closes:#935443.
  * git-debrebase: Extend extended description for this .deb.

  Infrastructure:
  * New script dgit-mirror-ssh-wrap suitable for use as restricted
    command on repos mirror target hosts, and corresponding test.

  Packaging niggles:
  * control: Add missing dependency on liburl-perl (dgit and tests)
  * control: Drop redundant Priority field for dgit-infrastruture
  * control: update Vcs-Git to end in .git
  * lintian: Override some checks
  * control: Bump Standards-Version to 4.4.0.0.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 14 Sep 2019 21:34:13 +0100

dgit (9.8) unstable; urgency=medium

  dgit, important bugfixes for bugs introduced in 9.6:
  * Once again cope with archive skew.  Closes:#935874.
    [Initial report from Colin Watson]
  * Follow http[s] redirects again.  Closes:#939564.

  dgit, useful new behaviours and fixes:
  * Use distro-info-data to resolve unknown suites.  Closes:#931212.
    [Suggestion from Simon McVittie]
  * Try to warn about misplacement of dgit options.  Closes:#934807.
    [Useability report from Félix Sipma]
  * Fail early when the archive/ tag already exists, ie when version
    needs to be not reused.  Closes:#935802.
    [Useability report from IOhannes m zmölnig]
  * Do not mistakely reject .asc and .sig files with push-source -C.
    Closes:#939280.  [Report from Simon McVittie]

  docs:
  * dgit-maint-{merge,debrebase}(7): Suggest git fetch --all --tags
    as it handles tags better.  [Sean Whitton]  Closes:#939504.
  * git-debrebase(5): Tiny typo fix.
  * dgit(1): Some semantic linefeeds (no change to rendered output)

  Supporting changes:
  * test suite: New test for http mirror and archive skew
  * test suite: Test already-tagged check
  * test suite: Add --force-reusing-version to many tests as now needed
  * Dgit: Minor refactoring of a regexp.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 06 Sep 2019 23:42:15 +0100

dgit (9.7~bpo9+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 16 Aug 2019 10:00:52 +0100

## dgit 9.10~bpo10+1

=== po4a/Makefile ===
# dgit document translation machinery
#
# Translators: there is no need to look at this file.  It contains
# complicated machinery which you do not need to understand :-).
# See po/README instead.

# Copyright (C)2018 Ian Jackson
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# ----- devel docs (translators, pleaee ignore all this) -----
#
# We use po4a for everything.
#
# po4a is nicely automatic for all the po handling, and the config
# file makes nice documentation, but it really really likes to dirty
# the tree.  And we want to automatically list the documents and the
# translation languages which it doesn't make easy.
#
# The approach I have chosen is as follows:
#
# po4a.cfg
#
#   This is autogenerated.  But also, we invite translators to add
#   their own language to it.  The resulting merge
#   conflict/discrepancy will be just an alphabetical ordering
#   discrepancy, since our generation script scans the available po
#   files.
#
#   Generation is done by a shell script, ./list-documents.
#
#   make targets:  po4a.cfg           # many others imply this
#                  po4a.cfg.check     # fails if out of date
#
# *.pot, *.po
#
#   As far as translators are concerned, generated and maintained by
#   po4a and committed to git.  As for the developers, we update this
#   occasionally just by running po4a.
#
#   make targets:  default           } mean
#                  pofiles           }  the same
#
# Translations for translators:
#
#   make targets:  preview.LANG
#                  translated
#
# Translated document source-language files (eg, translated pod):
#
#   Like with normal po things, the tools don't like to generate
#   output without updating (dirtying) the .po files.  But with po4a
#   this is really hard to avoid.  So we use a linkfarming technique.
#
#   make targets:  translated-only
#
# Translated output files (roff format, from pod2man):
#
#   We have sort of lost the usual make rule information by now
#   about targets and what to build.  Only po4a knows which
#   translated files are supposed to exist.  So we have a shell
#   script which reuses the top-level Makefile to run pod2man
#   where appropriate, and generate a further even-more-output-ish
#   tree.
#
#   make targets:  install
#
# Check:
#
#   make targets:  check
#                  pairwise-pocheck.check


default: pofiles

include ../i18n-common.make
PO4A ?= po4a

all update: translated

check: po4a.cfg.check pairwise-pocheck.check

pofiles: po4a.cfg
	$(PO4A) --no-translations $<

translated: po4a.cfg
	$(PO4A) $<

po4a.cfg: list-documents
	./$< $o

po4a.cfg.check: list-documents
	./$< >$@.tmp
	diff po4a.cfg $@.tmp

pairwise-pocheck.check:
	./pairwise-pocheck

t = ../.po4a.translated-only
p = ../po4a

translated-only: po4a.cfg pairwise-pocheck.check
	rm -rf $t && mkdir $t
	cd $t && ln -s $p/*.po $p/*.pot $p/po4a.cfg .
	cd $t && $(PO4A) po4a.cfg
	! test -d $t/translated || \
	cp -al --remove-destination $t/translated .

.po4a.%.cfg: po4a.cfg Makefile
	$S perl -p -e 's{^(\[po4a_langs\]).*}{$$1 $*};' \
		-e 's{:translated/man}{:.$*.translated/man}' \
		$< $o

.PRECIOUS: .po4a.%.cfg

pairwise-pocheck.%.check:
	@tclsh /dev/null || printf ':;:; Please run   apt-get install tcl\n'
	./pairwise-pocheck $*

preview.%: .po4a.%.cfg pairwise-pocheck.%.check
	$S $(PO4A) $<
	$S ./install-documents >/dev/null .$*.translated $@
	@ echo '# runes to preview the various final tranlated manpages:'
	$S find $@ -type f -printf 'man -l %p\n'

# We can't really use timestamps to drive po4a
.PHONY: preview.% translated

install: translated-only
	./install-documents translated $(DESTDIR)

=== debian/changelog ===
dgit (9.10~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 20 Feb 2020 22:24:26 -0700

dgit (9.10) unstable; urgency=medium

  dgit bugfix:
  * Work around gbp metadata handling bug which can prevent import
    of some anomalous source packages.  Closes:#950326.
    Report from Peter Green.

  git-debpush bugfix:
  * avoid a pipefail problem.  Closes:#940588.  [Sean Whitton]

  Documentation:
  * Terminology: Change "rewind" to "rewrite" where appropriate
  * dgit(1): Cover more cases of --overwrite and --deliberately
    Closes:#928473.
  * dgit(1): Do not talk about `intermediate' uploads.
  * d-m-{merge,debrebase}(7): Use an 'upstream/' tag prefix in
    gbp.conf; set `merge' in gbp.conf; import tarball before
    committing gbp.conf.  Closes:#932954.  [Sean Whitton]

  i18n:
  * Updated nl.po file.  Closes:#945356.  [Frans Spiesschaert]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 03 Feb 2020 08:41:10 +0000

## dgit 9.10

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,7 @@
 GDP_PROGRAMS=git-debpush
 GDP_MAN1PAGES=git-debpush.1
 
-INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch \
+INFRA_PROGRAMS=dgit-repos-server dgit-ssh-dispatch dgit-mirror-ssh-wrap \
 	dgit-repos-policy-debian dgit-repos-admin-debian \
 	dgit-repos-policy-trusting dgit-mirror-rsync
 INFRA_EXAMPLES=get-dm-txt ssh-wrap drs-cron-wrap get-suites

=== changelog ===
example (1.0-1+absurd) unstable; urgency=medium

  * Add a patch to break `git-apply'.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 24 Oct 2016 01:39:42 +0100

example (1.0-1) unstable; urgency=low

  * Test package.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 13 May 2015 21:26:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
-Standards-Version: 3.9.4.0
+Standards-Version: 4.4.0.0
 Build-Depends: debhelper (>= 9), gettext, po4a, tcl
 Testsuite: autopkgtest
-Vcs-Git: https://salsa.debian.org/dgit-team/dgit
+Vcs-Git: https://salsa.debian.org/dgit-team/dgit.git
 Vcs-Browser: https://salsa.debian.org/dgit-team/dgit
 
 Package: dgit
@@ -15,8 +15,9 @@
          coreutils (>= 8.23-1~),
          libdigest-sha-perl, dput, curl, apt,
          libjson-perl, ca-certificates,
-         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl
-Recommends: ssh-client
+         libtext-iconv-perl, libtext-glob-perl, libwww-curl-perl,
+         libtext-csv-perl
+Recommends: ssh-client, distro-info-data, liburi-perl
 Suggests: sbuild | pbuilder | cowbuilder
 Architecture: all
 Description: git interoperability with the Debian archive
@@ -36,6 +37,9 @@
 Description: rebasing git workflow tool for Debian packaging
  git-debrebase is a tool for representing in git, and manipulating,
  Debian packages based on upstream source code.
+ .
+ git-debrebase is an alternative to workflows including git-dpm,
+ gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
 Depends: devscripts, git, gnupg, ${misc:Depends}
@@ -57,7 +61,6 @@
          liblocale-gettext-perl
 Recommends: dgit
 Architecture: all
-Priority: extra
 Description: dgit server backend infrastructure
  This package contains tools which are useful for setting up a dgit
  git repository server.  You probably want dgit, the client package,

## dgit 9.11ubuntu1

=== debian/changelog ===
dgit (9.11ubuntu1) groovy; urgency=medium

  * infra/dgit-mirror-ssh-wrap: Cope with yet another rsync rune.
    (LP: #1892096)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 18 Aug 2020 17:02:02 -0400

dgit (9.11) unstable; urgency=medium

  Bugfixes:
  * git-debrebase, git-debpush: fail when looking for upstream tag if
    there is more than one candidate.  Closes:#961682.  [Sean Whitton]
  * git-debrebase: Fix error message for wrong use of -i
  * git-debrebase: new-upstream: Do not treat late options as version

  Documentation:
  * dgit-maint-debrebase(7): Drop some bad advice about the upstream/ tag
    case.  Closes:#961683.  [Sean Whitton]
  * git-debrebase(1): Fix new-upstream -i docs

  dgit-infrastructure:
  * dgit-mirror-ssh-wrap: Cope with new rsync rune.  Closes:#963489.
  * dgit-mirror-ssh-wrap: Clarify the error message 

 Test suite:
  * Cope with buster & eatmydata (ie, work around #963508)
  * Provide navigation banner in log when exiting nonzero
  * Print pwd in failure trap to help with diagnosis

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 22 Jun 2020 19:09:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dgit
 Section: devel
 Priority: optional
-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 4.4.0.0
 Build-Depends: debhelper (>= 9), gettext, po4a, tcl
 Testsuite: autopkgtest

## dgit 9.12

=== debian/changelog ===
dgit (9.12) unstable; urgency=medium

  Bugfixes:
  * dgit-mirror-ssh-wrap: Cope with yet another new rsync rune.
    Closes:#968635. [Sergio Durigan Junior]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 19 Aug 2020 17:25:45 +0100

## dgit 9.13

=== debian/changelog ===
dgit (9.13) unstable; urgency=medium

  * gitattributes defuse: work even if .git/info/attributes missing
    (Closes: #981344)
  * dgit-maint-*(7): Advice for git-debpush users.
    Closes:#932520.  [Sean Whitton]
  * dgit.1: drop remark about sbuild not building arch-independent.
    Closes:#952442.  [Helmut Grohne]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 12 Feb 2021 12:48:15 +0000

## dgit 9.15

=== debian/changelog ===
dgit (9.15) unstable; urgency=medium

  * dgit: pseudomerge_version_check: Check for unfinalised changelog entry.
  * tests: Set FILTER_BRANCH_SQUELCH_WARNING=1
  * tests: Use t-debchange in some places instead of dch
  * tests: Update all using tests/update-db-compat. Closes: #1002927.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 02 Jan 2022 12:20:23 +0000

dgit (9.14) unstable; urgency=medium

  Bugfixes:
  * Tolerate git config init.defaultBranch.  Closes:#972098.
    Reports from Didier 'OdyX' Raboud, Osamu Aoki.
    Diagnosis by Stig Sandbeck Mathisen.
  * dgit: Tolerate making quilt patches creating +x files.
    Closes:#949675.  Report from peter green.
  * dgit: Avoid use of GZIP environment variable.
    Closes: #975624.  Report from Stéphane Glondu.
  * Tolerate git config diff.noprefix.
    Closes:#973881; report from Didier 'OdyX' Raboud.

  Documentation and diagnostics:
  * Clarify git-debrabase --anchor, -fanchor-treated.
    Closes:#977426.  Report from Wookey <wookey@debian.org>.
  * dgit: Better message for dirty trees.  Closes:#930930.
    Report and suggestions from Sean Whitton.

  git-debpush, tag2upload:
  * Add missing dependency.  Closes:#940589; report from Andrej Shadura.
  * Fix version unmangling.  loses:#987304; report from Wolfgang Silbermayr.

  Tests:
  * Introduce t-debchange and set DEBEMAIL.
  * Add init.defaultBranch to two test cases and diff.noprefix to one.
  * Test creation of new symlink is treated as unrepresentable.
  * Increase the nproc -> make -j factor.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 08 Sep 2021 01:30:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dgit
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
+Maintainer: Ian Jackson <ijackson@chiark.greenend.org.uk>
 Standards-Version: 4.4.0.0
 Build-Depends: debhelper (>= 9), gettext, po4a, tcl
 Testsuite: autopkgtest
@@ -43,7 +42,8 @@
  gbp pq, and direct use of quilt patches.
 
 Package: git-debpush
-Depends: devscripts, git, gnupg, ${misc:Depends}
+Depends: devscripts, git, gnupg, libgit-wrapper-perl,
+         ${misc:Depends}
 Architecture: all
 Description: client script for git pushing to Debian-style archives
  git-debpush is a script to create and push a specially formatted

=== rules ===
#!/usr/bin/make -f

binary-indep:
	@echo EXAMPLE RULES TARGET $@

binary binary-arch:
	@echo EXAMPLE RULES TARGET $@
	dh_install
	dh_gencontrol
	dh_builddeb

build build-indep build-arch:
	@echo EXAMPLE RULES TARGET $@

clean:
	@echo EXAMPLE RULES TARGET $@
	dh_clean

=== debian/tests/control ===
Tests: baredebian-multitar baredebian-plusgit baredebian-push baredebian-tarball
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, quilt, git-debrebase, git-buildpackage, libdpkg-perl, libgit-wrapper-perl, liblist-compare-perl, libstring-shellquote-perl, libtry-tiny-perl

Tests: build-modes-gbp
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-buildpackage

Tests: clone-reprepro downstream-gitless
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, reprepro

Tests: dpkgsourceignores-docs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl
Restrictions: x-dgit-intree-only

Tests: defdistro-dsd-clone-drs dsd-clone-drs
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl
Restrictions: x-dgit-intree-only x-dgit-git-only

Tests: alternating-dgit clone-gitnosuite clone-nogit clone-skew drs-clone-nogit dsd-clone-nogit ftpmasterapi-http
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, libhttp-server-simple-static-perl

Tests: gdr-import-dgit
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage, libhttp-server-simple-static-perl

Tests: gdr-merge-conflicts
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage, quilt

Tests: gdr-diverge-nmu gdr-diverge-nmu-dgit gdr-edits gdr-fresh gdr-import-dgitview gdr-import-nostitch gdr-makepatches7 gdr-merge gdr-subcommands gdr-unprocessable gdr-unprocessable-hints
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, git-debrebase, git-buildpackage

Tests: gitattributes
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, liburi-perl, bsdgames, man-db, git-man

Tests: hint-testsuite-triggers
Tests-Directory: tests/tests
Depends: gnupg, patch, diffutils
Restrictions: hint-testsuite-triggers

Tests: gdr-newupstream gdr-viagit i18n-messages
Tests-Directory: tests/tests
Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage

Tests: manpages-format
Tests-Directory: tests/tests

## dgit 9.16

=== debian/changelog ===
dgit (9.16) unstable; urgency=medium

  Compatibility with git-buildpackage gbp pq 0.9.26 (Closes:#1005873):
  * dgit: Move .pc aside while running gbp pq import
  * git-debrebase: convert-from-dgit-view: Disable ignore-new where needed

  Other changes:
  * Fix typo in changelog for 9.14, noting that we closed #987304.
  * playtrees (for dgit and git-debrebase): Provide a gbp.conf.
  * tests: gdr: Provide a way to pass --diagnose.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 28 May 2022 22:49:53 +0100

## dgit 10.0

=== debian/changelog ===
dgit (10.0) unstable; urgency=medium

  Major command line change - dgit push vs push-built:
  * Introduce "dgit push-built", meaning what "dgit push" does now.
  * Make "dgit push" a configurable alias, which by default warns about
    future incompatibility and then runs "dgit push-built".  See dgit(1).
  * Docs: generally recommend "push-source" rather than "push".
    [Report from Osamu Aoki]  Closes:#992606.

  New feature, and change to recommended usage:
  * Provide --quilt=single, and no longer recommend single-debian-patch
    anywhere (since it can go badly wrong).  Closes:#1018984.

  Handling of unusual kinds of change to upstream files, during quilt fixup:
  * Don't use dpkg-source --commit, but git diff.
  * Handle exectutability changes.  Closes:#995056.  [Report from Peter Green]
  * Reject all changes to symlinks (including symlink creation).
  * With dpkg single-debian-patch, pass --include-removal to dpkg-source -b.
  * Now we can make any diff that dpkg-source can cope with.  Closes:#1018143.

  Changes related to --dry-run and --damp-run:
  * dgit(1): Demote, and add caveats describing their behaviours.
    Closes:#973896.  [Report from Wookey]
  * dry run: Fix a handful of bugs (and improve a message).

  Other:
  * dgit: Pass require_valid_signature to Dpkg::Source::Package
    in the correct manner.  Closes: #964286.  [Guillem Jover]

  Internal:
  * Refactorings and commentary, to support the other changes.
  * Consequential updates to tests.
  * More comprehensive testing of unusual upstream changes.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 04 Sep 2022 13:43:34 +0100

## dgit 10.1

=== debian/changelog ===
dgit (10.1) unstable; urgency=medium

  Bugfixes to dgit:
  * dgit push-build: Populate the split brain cache if necessary
    Closes:#1019454.  [Report from Simon McVittie]

  Bugfixes to git-debrebase [reports from David Bremner]:
  * git-debrebase: Fix "stripeoch" bug in convert-from-dgit-view.
  * git-debrebase: Fix handling of tag during convert-from-dgit-view.
  * git-debrebase: convert-from-dgit-view: Bail if output is wrong
    eg due to lack of appropriate d/patches.

  Documentation and messages:
  * dgit: Soften message about source-only uploads to NEW.
    [Report from Simon McVittie]  Improves #983056 a bit.
  * dgit(1): Be more encouraging about --new.  Closes:#941323.
  * dgit(1): Remove obsolete documentation of dgit-tag-format
    [Remark from Philip Hands in #1023468]
  * dgit-maint-debrebase(7): add --pretty example for generating
    hash tags for upstream versions.  [Philip Hands]
  * git-debrebase: conversion: bail a little earlier on snags.

  Infrastructure (dgit-repos, server side):
  * get-dm-txt: Handle abolition of archive-query-tls-curl-ca-args
    (fixes incompatibility with deployed production configuration).

  Packaging:
  * New elements to test cases to test some of the fixes.
  * changelog: Fix misindented line in entry for 9.11.
  * changelog: Retrospectively xref to #950612 in entry for 9.11.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 11 Nov 2022 23:53:28 +0000

## dgit 10.2

=== debian/changelog ===
dgit (10.2) unstable; urgency=medium

  Command line change - dgit rpush vs rpush-source vs rpush-built:
  * Introduce "dgit rpush-source", a new feature.  
    Closes:#974012.  [Request from Wookey]
  * Introduce "dgit rpush-built", meaning what "dgit rpush" does now.
  * Make "dgit rpush" a configurable alias, which by default warns about
    future incompatibility and then runs "dgit rpush-built".
    (This was done for "dgit push" in dgit 10.0.)

  Bugfixes to dgit:
  * Be more conservative about when to run "git-debrebase make-patches".
    Closes:#1025451.  [Report from Sean Whitton]
  * Cope with packages using "3.0 (quilt)" "include-binaries" feature.
    Closes:#1024233.  [Report from Peter Green]
  * Cope with certain packages where dpkg-source guesses wrong about
    patch application status.  (Perms-only patches may be implicated?)
    Closes:#1025694.  [Report from Matthew Vernon]

  Minor improvements:
  * dgit(1): Promote push-source even more, rather than push-built.
  * git-debrebase --noop-ok: support --no-noop-ok.
  * Fix a typo "build" for "build" in the changelog entry for 10.1.

  Debugging fixes and internal changes:
  * dgit: Fix a direct use of chdir, should be changedir
  * git-debrebase --noop-ok: use default destination

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 12 Dec 2022 01:15:55 +0000

## dgit 10.6

=== debian/changelog ===
dgit (10.6) unstable; urgency=medium

  Bugfix for handling some source packages:
  * dgit: dsc import: Launder the series file before feeding it to gbp,
    (in absurd git-apply mode) in case it contains strange things.
    Closes: #1030093.  [Report from Peter Green]

  Minor improvements to git-debrebase:
  * git-debrebase(1): Add imprecation to call conclude or prepush, at top
  * git-debrebase(1): Remove launder-v0 from documentation
  * git-debrebase status: Print upstream commitid

  Supporting chnages:
  * dgit: Fix confusing appending of gbp-pq-output in innards.
    (Conceivably this might fix wrong messages in very unusual situations.)
  * dgit: Fix a call to die to be confess, if an unexpected copy fails.
  * tests: Bail on seeing "internal-only" commits, which should be invisible.
  * tests: Test laundering of a deranged series file (with a form feed).
  * dgit-ssh-dispatch: Apply perllib_local to policy hook, fixing a test
    suite bug where the wrong Dgit.pm might be used.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sat, 04 Feb 2023 16:56:30 +0000

dgit (10.5) unstable; urgency=medium

  * [INTL:nl] Dutch translation for the dgit package.
    [Frans Spiesschaert]  Closes:#1029682.
  * dgit: Add TODO about inappropriate translation of Subject

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 26 Jan 2023 14:41:05 +0000

dgit (10.4) unstable; urgency=medium

  * Tainted object handling: Require policy-client-query to be supported
    when talking to the Debian server, so this check is now properly
    implemented rather than best-effort.  Closes: #944855, #1027186.
    [Completes work prompted by report from Felipe Sateler.]
  * git-debrebase(1): Be less scary about --experimental-merge-resolution.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 29 Dec 2022 11:51:50 +0000

dgit (10.3) unstable; urgency=medium

  dgit useability improvements:
  * Silently tolerate mentions of debian/ in debian/source/include-binaries.
    Closes:#1026918.  [Report from Simon McVittie]
  * Scan for duplicated orig tarballs with different names,
    avoiding strange dpkg-source errors mentioning format 2.0.
    Closes:#993769.  [Report from Philip Hands]
  * Rename auto quilt mode to try-linear (retaining compat alias),
    to clarify that it won't automatically detect branch format.
    Closes:#935762.  [Report from David Bremner]
  * dgit(1): Clarify the non-split-brain --quilt options, explicitly
    stating that they expect a patched-applied (dgit view) branch.

  Tainted object handling (relevant to Debian NEW):
  * dgit can now usually discover when --deliberately-* will be needed,
    before making signatures and attempting the actual push.
    Thus, missing a --deliberately no longer burns a version number.
  * This is #944855.  However, it depends new infrastructure,
    which is (in this version) only queried on a best-effort basis:
  * New protocol transaction (over ssh) with dgit repos server,
    to allow client to make a policy enquiry, and specifically to
    enquire about tainted objects.
  * More of the relevant error messages are now translatable via gettext.

  Supporting changes:
  * Modest refactoring to support the new functionality.
  * Tests for new functionality, and improved tests in changed areas.
  * tests: sbuild-gitish: Pass -v to sbuild for better debuggability.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Thu, 29 Dec 2022 00:51:29 +0000

## dgit 10.7

=== debian/changelog ===
dgit (10.7) unstable; urgency=medium

  * dgit(1), dgit-maint-merge(7): Copy-edit changes since dgit 9.16.
  * dgit, dgit-maint-merge(7): Merge suggested README.source text into
    --quilt=single's generated patch header.
    We now have to say "a workflow similar to ... dgit-maint-merge(7)" but
    this is worth it for the simplification to the workflow.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 22 Feb 2023 15:13:06 -0700

=== debian/tests/control ===
--- 
+++ 
@@ -49,5 +49,5 @@
 Tests-Directory: tests/tests
 Depends: chiark-utils-bin, faketime, git-debrebase, git-buildpackage
 
-Tests: manpages-format
+Tests: import-linkorigs
 Tests-Directory: tests/tests

## dgit 10.7+deb12u2

=== debian/changelog ===
dgit (10.7+deb12u2) bookworm; urgency=medium

  * Prevent pushing older versions than is in the archive.
    Closes: #1050711.  [Reports from Helmut Grohne and Phil Hands]
    Backported from dgit 11.3.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 03 Sep 2023 00:49:57 +0100

dgit (10.7+deb12u1) bookworm; urgency=medium

  * Use the old /updates security map only for buster.  Fixes fetching from
    suites ,-security after buster.  [Matthew Vernon]  Closes: #1050179.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 22 Aug 2023 19:30:47 +0100
